Bug 625621 - [abrt] system-config-bind-4.0.15-1.fc13: IPV6.py:234:hex_out:IndexError: string index out of range
[abrt] system-config-bind-4.0.15-1.fc13: IPV6.py:234:hex_out:IndexError: stri...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
abrt_hash:ed0dd713
:
Depends On:
Blocks: 669757
  Show dependency treegraph
 
Reported: 2010-08-19 19:49 EDT by Bernd Stramm
Modified: 2011-06-28 10:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 669757 (view as bug list)
Environment:
Last Closed: 2011-06-28 10:22:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.22 KB, text/plain)
2010-08-19 19:49 EDT, Bernd Stramm
no flags Details

  None (edit)
Description Bernd Stramm 2010-08-19 19:49:38 EDT
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/sbin/system-config-bind-gui
component: system-config-bind
executable: /usr/sbin/system-config-bind-gui
kernel: 2.6.33.6-147.2.4.fc13.x86_64
package: system-config-bind-4.0.15-1.fc13
reason: IPV6.py:234:hex_out:IndexError: string index out of range
release: Fedora release 13 (Goddard)
time: 1282261614
uid: 500

backtrace
-----
IPV6.py:234:hex_out:IndexError: string index out of range

Traceback (most recent call last):
  File "/usr/sbin/system-config-bind-gui", line 197, in <module>
    GUI(sys.argv)
  File "/usr/sbin/system-config-bind-gui", line 107, in __init__
    self.bind=BIND(self, argv)
  File "/usr/share/system-config-bind/BIND.py", line 95, in __init__
    self.load()
  File "/usr/share/system-config-bind/BIND.py", line 192, in load
    self.zoneTree = ZoneTree(self)
  File "/usr/share/system-config-bind/ZoneTree.py", line 1059, in __init__
    s.load()
  File "/usr/share/system-config-bind/ZoneTree.py", line 1086, in load
    s.add_zone(origin, zone)
  File "/usr/share/system-config-bind/ZoneTree.py", line 1218, in add_zone
    z['node']=s.store.append(view, [ zpic, z['zone'].origin_name.label() , ztyp, ZoneNode(z) ])
  File "/usr/share/system-config-bind/IPV6.py", line 537, in label
    return self.address.hex_out()
  File "/usr/share/system-config-bind/IPV6.py", line 234, in hex_out
    if(output[-1] == ':'):
IndexError: string index out of range

Local variables in innermost frame:
begin: False
zseq: [[1, 3], [7, 8]]
end: None
i: 8
c: '5'
self: <IPV6.Address instance at 0x2c7e128>
l: 2
start: None
s: [7, 8]
longest: None
output: ''
data: None

comment
-----
Does this have anything to do with the content of the named.conf and various other configuration files?
Or is the problem independent of that?

How to reproduce
-----
1.type system-config-bind-gui
2.
3.
Comment 1 Bernd Stramm 2010-08-19 19:49:40 EDT
Created an attachment (id=439823)
File: backtrace
Comment 2 pjangert 2011-02-23 16:22:25 EST
Package: system-config-bind-4.0.15-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Entered IP 6 address
2.Clicked mask down to 79 then back up to 80
3.Clicked add


Comment
-----
For some reason, if you overshoot the number of bits, the appropriate fields are not re-enabled.
Comment 3 Bug Zapper 2011-06-01 07:04:39 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-28 10:22:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.